Bug 642300 (CVE-2010-3182) - CVE-2010-3182 Mozilla unsafe library loading flaw
Summary: CVE-2010-3182 Mozilla unsafe library loading flaw
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2010-3182
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-10-12 14:43 UTC by Josh Bressers
Modified: 2019-09-29 12:39 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-12 21:44:52 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0780 normal SHIPPED_LIVE Moderate: thunderbird security update 2010-10-19 22:43:39 UTC
Red Hat Product Errata RHSA-2010:0781 normal SHIPPED_LIVE Critical: seamonkey security update 2010-10-19 23:09:58 UTC
Red Hat Product Errata RHSA-2010:0782 normal SHIPPED_LIVE Critical: firefox security update 2010-10-19 23:20:46 UTC
Red Hat Product Errata RHSA-2010:0861 normal SHIPPED_LIVE Critical: firefox security update 2010-11-09 19:05:41 UTC
Red Hat Product Errata RHSA-2010:0896 normal SHIPPED_LIVE Moderate: thunderbird security update 2010-11-17 15:19:33 UTC

Description Josh Bressers 2010-10-12 14:43:19 UTC
Dmitri Gribenko reported that the script used to launch Mozilla
applications on Linux was effectively including the current working
directory in the LD_LIBRARY_PATH environment variable. If an attacker was
able to place into the current working directory a malicious shared library
with the same name as a library that the bootstrapping script depends on
the attacker could have their library loaded instead of the legitimate
library.

Comment 1 Josh Bressers 2010-10-19 22:07:46 UTC
This is now public:
http://www.mozilla.org/security/announce/2010/mfsa2010-71.html

Comment 2 errata-xmlrpc 2010-10-19 22:43:55 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2010:0780 https://rhn.redhat.com/errata/RHSA-2010-0780.html

Comment 3 errata-xmlrpc 2010-10-19 23:10:21 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 3
  Red Hat Enterprise Linux 4

Via RHSA-2010:0781 https://rhn.redhat.com/errata/RHSA-2010-0781.html

Comment 4 errata-xmlrpc 2010-10-19 23:21:16 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2010:0782 https://rhn.redhat.com/errata/RHSA-2010-0782.html

Comment 5 errata-xmlrpc 2010-11-10 18:59:00 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2010:0861 https://rhn.redhat.com/errata/RHSA-2010-0861.html

Comment 6 errata-xmlrpc 2010-11-17 15:20:00 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2010:0896 https://rhn.redhat.com/errata/RHSA-2010-0896.html


Note You need to log in before you can comment on or make changes to this bug.